Package twisted :: Package application :: Module internet :: Class SSLClient

[frames | no frames]

## Class SSLClient

             Service --+
                       |
    _VolatileDataService --+
                           |
             _AbstractClient --+
                               |
                              SSLClient

Connect to SSL

Call reactor.connectSSL when the service starts, with the arguments given to the constructor.

Method Summary
Inherited from _AbstractClient
| ``__init__`(self, *args, **kwargs)`
| ``_getConnection`(self)`
| ``startService`(self)`
| ``stopService`(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`str` | `method` = `'SSL'`
Inherited from _AbstractClient
`list` | `volatile` = `['_connection']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### method

  Type:
    `str`
  Value:

        'SSL'

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net